Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.renderer
Class TreeCellContext.TreeFocusBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.border.LineBorder
              org.jdesktop.swingx.renderer.TreeCellContext.TreeFocusBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

Enclosing class:
  TreeCellContext

    public class TreeCellContext.TreeFocusBorder

extends javax.swing.border.LineBorder

Border used to draw around the content of the node.

PENDING: isn't that the same as around a list or table cell, but without a tree-specific key/value pair in UIManager?

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.border.LineBorder
`lineColor, roundedCorners, thickness`

Constructor Summary
`TreeCellContext.TreeFocusBorder()`

Method Summary
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class javax.swing.border.LineBorder
`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getBorderInsets, getLineColor, getRoundedCorners, getThickness`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeCellContext.TreeFocusBorder

    public TreeCellContext.TreeFocusBorder()

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Overrides:
    `paintBorder` in class `javax.swing.border.LineBorder`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`
  Overrides:
    `isBorderOpaque` in class `javax.swing.border.LineBorder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.